Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded
Class ServletContextResourceScanner

    java.lang.Object
      org.jboss.embedded.ServletContextResourceScanner

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class ServletContextResourceScanner

extends java.lang.Object
implements javax.servlet.ServletContextListener

This listener takes in the init parameter "jboss.embedded.resources" which is a comma delimited list of ServletContext resources that you want deployed within the WAR file. i.e. "/WEB-INF/lib/mybeans.jar" When the WAR is initialized, those referenced resources will be deployed. When the WAR is destroyed, those referenced resources are undeployed from the embedded kernel.

Version:
  $Revision: 44597 $
Author:
  Bill Burke

Constructor Summary
`ServletContextResourceScanner()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextResourceScanner

    public ServletContextResourceScanner()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD